<form [formGroup]="signinForm" (ngSubmit)="onSignin()" class="form-signin">

  <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>

  <div class="form-group">
    <input formControlName="email" email class="form-control" placeholder="Email address" required autofocus>
    <p class="text-danger" *ngIf="signinForm.controls.email.hasError('required')
      && signinForm.controls.email.touched">The
      email is required</p>
    <p class="text-danger" *ngIf="signinForm.controls.email.hasError('email')
      && signinForm.controls.email.touched">Enter
      a valid email</p>
  </div>

  <div class="form-group">
    <input formControlName="password" type="password" class="form-control" placeholder="Password" required>
    <p class="text-danger" *ngIf="signinForm.controls.password.hasError('required')
      && signinForm.controls.password.touched">The
      password is required</p>
    <p class="text-danger" *ngIf="signinForm.controls.password.hasError('minLength')
      && signinForm.controls.password.touched">
      The password must be between 6 and 20 characteres
    </p>
  </div>

  <button [disabled]="!signinForm.valid" class="btn btn-lg btn-primary btn-block" type="submit">
    Sign in
  </button>

</form>